TICKIT_WINDOW_EXPOSE(3)

NAME
tickit_window_expose - mark an area of a window for re-rendering

SYNOPSIS
    #include <tickit.h>

    void tickit_window_expose(TickitWindow *win, const TickitRect *exposed);

Link with -ltickit.

DESCRIPTION
tickit_window_expose() marks the given area of the given window as needing to be re-rendered, causing it to receive a TICKIT_EV_EXPOSE event when tickit_window_flush(3) is next called. exposed may be NULL, indicating that the entire window should be exposed.

If the window, or any of its parents, are hidden, then this function has no effect. Otherwise, it enqueues the corresponding area on the root window as being damaged, causing an TICKIT_EV_EXPOSE event to propagate upwards from the root the next time tickit_window_flush(3) is called. This will propagate up to any window occupying that area, meaning that this window or others may receive it.

RETURN VALUE
tickit_window_expose() returns no value.

SEE ALSO
tickit_window_new(3), tickit_window_flush(3), tickit_window_bind_event(3), tickit_window(7), tickit(7)